Bug 1115475 - [RFE] Provide an experimental DBus responder to retrieve custom attributes from SSSD cache
Summary: [RFE] Provide an experimental DBus responder to retrieve custom attributes fr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-02 12:33 UTC by Jakub Hrozek
Modified: 2020-05-02 17:27 UTC (History)
9 users (show)

Fixed In Version: sssd-1.12.0-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-20 15:25:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3114 0 None None None 2020-05-02 17:27:37 UTC

Description Jakub Hrozek 2014-07-02 12:33:37 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2072

This is a first part of providing account data for the Gnome account service and other customers.

As a first phase, we would write a new responder, that would provide a single method to get a custom attribute. Further care must be taken to ensure that only certain attributes might be read by certain consumers (polkit? tbd).

This code would be marked as experimental in upstream so that we could consider the API unstable and change it at will.

Comment 1 Jakub Hrozek 2014-07-02 15:18:18 UTC
The responder was added upstream:
    cb4d5b588e704114b7090678752d33512baa718e
    8214510f125879c3b1d247f2ce981ee20b5375d1

Comment 2 Jakub Hrozek 2014-07-16 09:17:06 UTC
Jan, can you mark this bug as VERIFIED as part of your testing of adelton's Apache modules?

Comment 3 Jan Hutař 2014-07-18 09:32:48 UTC
Yes, we will test this bug, but in a scope of:

  https://fedorahosted.org/spacewalk/wiki/SpacewalkAndIPA

But I guess that is what is needed as SW consumes organization setting from IPA and so on.

Comment 4 Jan Hutař 2014-07-18 09:33:43 UTC
Note - description of the feature:

  https://fedorahosted.org/sssd/wiki/DesignDocs/DBusResponder

Comment 5 Pavel Studeník 2014-07-29 12:58:52 UTC
I tested this extension on spacewalk 2.2. and it works correct. I verified it with following packages and extra attributes.

ldap_user_extra_attrs = mail, givenname, sn, ou

# spacewalk
sssd-1.9.2-129.el6.x86_64
sssd-client-1.9.2-129.el6.x86_64

# master
ipa-server-3.0.0-37.el6.x86_64
sssd-ldap-1.11.6-3.el6.x86_64
sssd-1.11.6-3.el6.x86_64

Comment 8 Kaushik Banerjee 2014-08-20 15:15:49 UTC
This is an internal fix to integrate with spacewalk. Sanity only testing from QE is only needed.

Nacking this bug so that it doesn't get added in the errata.

Comment 9 RHEL Program Management 2014-08-20 15:25:58 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.